Owner history
GET
/v1/parcels/{id}/owners
const url = 'https://api.acresift.com/v1/parcels/37105012685/owners';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.acresift.com/v1/parcels/37105012685/owners \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
ParcelKey
string
Example
37105012685ParcelKey
Responses
Section titled “ Responses ”Owner history
Media typeapplication/json
object
ParcelKey
required
string
Owners
required
Owner and tax-bill address each time either changed, newest first (history starts at our first load)
Array<object>
object
OwnerName
required
string | null
OwnerMailingAddress
required
string | null
FirstSeenDate
required
string
Examplegenerated
{ "ParcelKey": "example", "Owners": [ { "OwnerName": "example", "OwnerMailingAddress": "example", "FirstSeenDate": "example" } ]}The request did not validate; errors lists each bad field
Media typeapplication/problem+json
RFC 9457 problem details (served as application/problem+json)
object
type
required
string
title
required
string
status
required
integer
detail
string
instance
string
errors
Validation problems, one per bad field
Array<object>
object
path
required
string
message
required
string
Example
{ "type": "https://acresift.com/docs/api/errors#not_found", "title": "Not found", "status": 404, "detail": "No parcel 37105012685."}Missing, wrong or revoked API key
Media typeapplication/problem+json
RFC 9457 problem details (served as application/problem+json)
object
type
required
string
title
required
string
status
required
integer
detail
string
instance
string
errors
Validation problems, one per bad field
Array<object>
object
path
required
string
message
required
string
Example
{ "type": "https://acresift.com/docs/api/errors#not_found", "title": "Not found", "status": 404, "detail": "No parcel 37105012685."}No parcel with that key
Media typeapplication/problem+json
RFC 9457 problem details (served as application/problem+json)
object
type
required
string
title
required
string
status
required
integer
detail
string
instance
string
errors
Validation problems, one per bad field
Array<object>
object
path
required
string
message
required
string
Example
{ "type": "https://acresift.com/docs/api/errors#not_found", "title": "Not found", "status": 404, "detail": "No parcel 37105012685."}Rate limit reached; wait Retry-After seconds
Media typeapplication/problem+json
RFC 9457 problem details (served as application/problem+json)
object
type
required
string
title
required
string
status
required
integer
detail
string
instance
string
errors
Validation problems, one per bad field
Array<object>
object
path
required
string
message
required
string
Example
{ "type": "https://acresift.com/docs/api/errors#not_found", "title": "Not found", "status": 404, "detail": "No parcel 37105012685."}